[master] AttributeError: 'PageKde' object has no attribute 'get_secureboot_key'

Bug #1529450 reported by Gene Soo on 2015-12-27
350
This bug affects 63 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Critical
Unassigned
ubiquity (Ubuntu)
Critical
Unassigned
Declined for Xenial by Mathieu Trudel-Lapierre

Bug Description

Description: Ubuntu Xenial Xerus (development branch)
Release: 16.04
Daily Build from tonight

affected binary: ubiquity-frontend-kde

This is a hard failure encountered several times.

Message output from Crash

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/kde_ui.py", line 1068, in on_next_clicked
    self.dbfilter.ok_handler()
  File "/usr/lib/ubiquity/plugins/ubi-prepare.py", line 344, in ok_handler
    secureboot_key = self.ui.get_secureboot_key()
AttributeError: 'PageKde' object has no attribute 'get_secureboot_key'

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubiquity 2.21.40
ProcVersionSignature: Ubuntu 4.3.0-2.11-generic 4.3.0
Uname: Linux 4.3.0-2-generic x86_64
ApportVersion: 2.19.3-0ubuntu2
Architecture: amd64
CasperVersion: 1.366
CurrentDesktop: KDE
Date: Sun Dec 27 08:17:18 2015
InstallCmdLine: file=/cdrom/preseed/kubuntu.seed boot=casper maybe-ubiquity initrd=/casper/initrd.lz quiet splash --- maybe-ubiquity
LiveMediaBuild: Kubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151227)
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Current workaround:
===================
Install latest Kubuntu 15.10 – Then do a release-upgrade to
16.04 (Development) – https://help.ubuntu.com/community/Kubuntu/

Related branches

Gene Soo (genesoo77072) wrote :
Gene Soo (genesoo77072) wrote :

Failed to mention that the Daily Build encountering failiure is Kubuntu Desktop.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
mrl586 (mrl586) wrote :

Same bug is also on latest Kubuntu daily build 2015-12-30.

summary: - Installer crashed
+ AttributeError: 'PageKde' object has no attribute 'get_secureboot_key'
Changed in hundredpapercuts:
status: New → Confirmed
Changed in ubiquity (Ubuntu):
importance: Undecided → Critical
Changed in hundredpapercuts:
importance: Undecided → Critical
Changed in ubiquity (Ubuntu):
status: Confirmed → Triaged
Changed in hundredpapercuts:
status: Confirmed → Triaged
summary: - AttributeError: 'PageKde' object has no attribute 'get_secureboot_key'
+ [master] AttributeError: 'PageKde' object has no attribute
+ 'get_secureboot_key'
Marco Parillo (marco-parillo) wrote :

[05:37] <DarinMiller> btw, I found a "fix" for the xenial install failure. I will post in a second for snele reference. And to answer snele question, 16.04 also has the sddm failure.
[05:37] <DarinMiller> To fix xenial install issue (https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1529450 AttributeError: 'PageKde' object has no attribute 'get_secureboot_key')
[05:37] <ubottu> Launchpad bug 1529450 in ubiquity (Ubuntu) "[master] AttributeError: 'PageKde' object has no attribute 'get_secureboot_key'" [Critical,Triaged]
[05:37] <DarinMiller> Grab a 15.10 iso and mount it (Disk image mounter in dolphin works great).
[05:37] <DarinMiller> Copy /casper/filesystem.squashfs to a temp directory
[05:37] <DarinMiller> navigate to the temp dir and run sudo unsquashfs -x filesystem.squashfs
[05:37] <DarinMiller> renme squashfs-root directory to 15.10
[05:37] <DarinMiller> grab the same filesytem.squash file from the 16.04 and perform the same operation
[05:37] <DarinMiller> copy the /usr/lib/ubiquity/plugins/ubi-prepare.py from the 15.10 sub folder to the same loacation in the 16.04 folder.
[05:37] <DarinMiller> then run the following command on the 16.04 folder sudo mksquashfs squashfs-root filesystem.squashfs -b 1024k -comp xz -Xbcj x86 -e boot
[05:37] <DarinMiller> make a std bootable 16.04 bootable usb and copy the new filesystem.squashfs file to the /casper directory on the 16.04 iso.
[05:37] <DarinMiller> Install as usual.
[05:37] <DarinMiller> Not sure why, but when I make my squash file, it's ~300 to 400mb smaller than the original.
[05:37] <DarinMiller> Note: unsquashing and resquashing must be performed as root on the 16.04 file to maintain correction permissions.

Thats definetly a nice attempt, only it doesn't take into account the changes beeing done for Xenial in the meantime:

http://changelogs.ubuntu.com/changelogs/pool/main/u/ubiquity/ubiquity_2.21.42/changelog

If I were a dev (what I not am!) I would possibly drop an eye or two into the differences between those two packages:

http://packages.ubuntu.com/xenial/ubiquity-frontend-kde
http://packages.ubuntu.com/xenial/ubiquity-frontend-gtk

cheers

description: updated
Philip Muškovac (yofel) on 2016-01-14
Changed in ubiquity (Ubuntu):
milestone: none → ubuntu-16.04

hi!

It's like fishing in the dark ...

Not knowing if this is a hint, but taking a log at the changelog (changed recently from libqca2V5 to libqca2) :

qca2 (2.1.1-2ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Add debian/meta/upstream_scm.json.
    - Add kubuntu_mkspecs-dir.diff to install mkspecs to correct place.
    - Don't build the -doc package.
  * Rename back libqca2v5 to libqca2.
  * Don't build the packages for Qt5 (built from the qca-qt5 source).

 -- Matthias Klose <email address hidden> Thu, 07 Jan 2016 12:29:55 +0100

Some packages may need a rebuild ?

Colin Watson (cjwatson) wrote :

qca2 has nothing whatsoever to do with this bug. It's entirely within the ubiquity source package.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1529450

tags: added: iso-testing
Andrew Black (bux23) wrote :

Maybe it helps for reproducing the problem: I wanted to install today's daily in a Parallels virtual machine and got this error.

I do not know if the installer wants to read the secure boot key (I assume that the Parallels virtual machine does not have one), or if I am misinterpreting the error message.

Still, I was able to continue with the installation:
1) Open Konsole
2) cd /usr/lib/ubiquity/plugins
3) sudo pico ubi-prepare.py
4) Scroll sown to the end of the file
5) Some lines up change:
5.1) secureboot_key = self.ui.get_secureboot_key() => # secureboot_key = self.ui.get_secureboot_key()
5.2) if self.ui.using_secureboot and secureboot_key: => # if self.ui.using_secureboot and secureboot_key:
5.3) self.preseed('ubiquity/secureboot_key', secureboot_key, seen=True) => # self.preseed('ubiquity/secureboot_key', secureboot_key, seen=True)
6) CTRL + O ; ENTER ; Start installer again

A wild guess: maybe the problem is just a missing check if the secureboot key could be read.

everything works fine!
Thank you so much !!

пн, 18 янв. 2016 г. в 21:55, Andrew Black <email address hidden>:

> Maybe it helps for reproducing the problem: I wanted to install today's
> daily in a Parallels virtual machine and got this error.
>
> I do not know if the installer wants to read the secure boot key (I
> assume that the Parallels virtual machine does not have one), or if I am
> misinterpreting the error message.
>
> Still, I was able to continue with the installation:
> 1) Open Konsole
> 2) cd /usr/lib/ubiquity/plugins
> 3) sudo pico ubi-prepare.py
> 4) Scroll sown to the end of the file
> 5) Some lines up change:
> 5.1) secureboot_key = self.ui.get_secureboot_key() => # secureboot_key =
> self.ui.get_secureboot_key()
> 5.2) if self.ui.using_secureboot and secureboot_key: => # if
> self.ui.using_secureboot and secureboot_key:
> 5.3) self.preseed('ubiquity/secureboot_key', secureboot_key, seen=True) =>
> # self.preseed('ubiquity/secureboot_key', secureboot_key, seen=True)
> 6) CTRL + O ; ENTER ; Start installer again
>
> A wild guess: maybe the problem is just a missing check if the
> secureboot key could be read.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1534880).
> https://bugs.launchpad.net/bugs/1529450
>
> Title:
> [master] AttributeError: 'PageKde' object has no attribute
> 'get_secureboot_key'
>
> Status in One Hundred Papercuts:
> Triaged
> Status in ubiquity package in Ubuntu:
> Triaged
>
> Bug description:
> Description: Ubuntu Xenial Xerus (development branch)
> Release: 16.04
> Daily Build from tonight
>
> affected binary: ubiquity-frontend-kde
>
> This is a hard failure encountered several times.
>
> Message output from Crash
>
> Traceback (most recent call last):
> File "/usr/lib/ubiquity/ubiquity/frontend/kde_ui.py", line 1068, in
> on_next_clicked
> self.dbfilter.ok_handler()
> File "/usr/lib/ubiquity/plugins/ubi-prepare.py", line 344, in
> ok_handler
> secureboot_key = self.ui.get_secureboot_key()
> AttributeError: 'PageKde' object has no attribute 'get_secureboot_key'
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: ubiquity 2.21.40
> ProcVersionSignature: Ubuntu 4.3.0-2.11-generic 4.3.0
> Uname: Linux 4.3.0-2-generic x86_64
> ApportVersion: 2.19.3-0ubuntu2
> Architecture: amd64
> CasperVersion: 1.366
> CurrentDesktop: KDE
> Date: Sun Dec 27 08:17:18 2015
> InstallCmdLine: file=/cdrom/preseed/kubuntu.seed boot=casper
> maybe-ubiquity initrd=/casper/initrd.lz quiet splash --- maybe-ubiquity
> LiveMediaBuild: Kubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151227)
> SourcePackage: ubiquity
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/1529450/+subscriptions
>

Knarf (frankschindler) wrote :

Am 21.01.2016 um 04:15 schrieb li0n:
> everything works fine!
> Thank you so much !!
>
> пн, 18 янв. 2016 г. в 21:55, Andrew Black <email address hidden>:
>
>> Maybe it helps for reproducing the problem: I wanted to install today's
>> daily in a Parallels virtual machine and got this error.
>>
>> I do not know if the installer wants to read the secure boot key (I
>> assume that the Parallels virtual machine does not have one), or if I am
>> misinterpreting the error message.
>>
>> Still, I was able to continue with the installation:
>> 1) Open Konsole
>> 2) cd /usr/lib/ubiquity/plugins
>> 3) sudo pico ubi-prepare.py
>> 4) Scroll sown to the end of the file
>> 5) Some lines up change:
>> 5.1) secureboot_key = self.ui.get_secureboot_key() => # secureboot_key =
>> self.ui.get_secureboot_key()
>> 5.2) if self.ui.using_secureboot and secureboot_key: => # if
>> self.ui.using_secureboot and secureboot_key:
>> 5.3) self.preseed('ubiquity/secureboot_key', secureboot_key, seen=True) =>
>> # self.preseed('ubiquity/secureboot_key', secureboot_key, seen=True)
>> 6) CTRL + O ; ENTER ; Start installer again
>>
>> A wild guess: maybe the problem is just a missing check if the
>> secureboot key could be read.
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1534880).
>> https://bugs.launchpad.net/bugs/1529450
>>
>> Title:
>> [master] AttributeError: 'PageKde' object has no attribute
>> 'get_secureboot_key'
>>
>> Status in One Hundred Papercuts:
>> Triaged
>> Status in ubiquity package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> Description: Ubuntu Xenial Xerus (development branch)
>> Release: 16.04
>> Daily Build from tonight
>>
>> affected binary: ubiquity-frontend-kde
>>
>> This is a hard failure encountered several times.
>>
>> Message output from Crash
>>
>> Traceback (most recent call last):
>> File "/usr/lib/ubiquity/ubiquity/frontend/kde_ui.py", line 1068, in
>> on_next_clicked
>> self.dbfilter.ok_handler()
>> File "/usr/lib/ubiquity/plugins/ubi-prepare.py", line 344, in
>> ok_handler
>> secureboot_key = self.ui.get_secureboot_key()
>> AttributeError: 'PageKde' object has no attribute 'get_secureboot_key'
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 16.04
>> Package: ubiquity 2.21.40
>> ProcVersionSignature: Ubuntu 4.3.0-2.11-generic 4.3.0
>> Uname: Linux 4.3.0-2-generic x86_64
>> ApportVersion: 2.19.3-0ubuntu2
>> Architecture: amd64
>> CasperVersion: 1.366
>> CurrentDesktop: KDE
>> Date: Sun Dec 27 08:17:18 2015
>> InstallCmdLine: file=/cdrom/preseed/kubuntu.seed boot=casper
>> maybe-ubiquity initrd=/casper/initrd.lz quiet splash --- maybe-ubiquity
>> LiveMediaBuild: Kubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151227)
>> SourcePackage: ubiquity
>> UpgradeStatus: No upgrade log present (probably fresh install)
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/hundredpapercuts/+bug/1529450/+subscriptions
>>
Fastboot, Windows 8 features ans Secure boot was/is disabled.

molecule-eye (niburu1) wrote :

Andrew's workaround didn't work for me. It ensures the error dialog doesn't pop up, but it just sits at the installation process, not asking me about partition details or anything, and the installation goes nowhere. Perhaps one problem is that I had previously run an apt-get dist-upgrade on the live installer in hopes that it would fix the problem.

rilut (rilut) wrote :

Andrew's workaround solved my issue. I'm on a HP laptop without secure boot.
I think Andrew's guess is correct too.

oshunluvr (stuartksmith) wrote :

I've been trying Andrew's solution over the last few days. Failed until today's daily build 01-28-2016, now appears to be working. Grab this ISO if you want to try it out.

Thanks Andrew.

The lines in question are 344,347,348 so I used sed instead of pico. This one-liner worked here for me:

sudo sed -i '344 s/^/#/; 347 s/^/#/; 348 s/^/#/' /usr/lib/ubiquity/plugins/ubi-prepare.py

description: updated

Just wondering why ubiquity-frontend-kde only has depends on
python3-pyqt4 (Python3 bindings for Qt4)
instead of/or additionally on
python3-pyqt5. This may be fine for someone coming from 12.04LTS but Vivid/Wily have Qt5 already.

Same applies than for python3-dbus.mainloop.qt (D-Bus Support for PyQt4 with Python 3)

See also: https://riverbankcomputing.com/software/pyqt/intro

> What is PyQt?

PyQt is a set of Python v2 and v3 bindings for The Qt Company's Qt application framework and runs on all platforms supported by Qt including Windows, MacOS/X and Linux. PyQt5 supports Qt v5. PyQt4 supports Qt v4 and will build against Qt v5. The bindings are implemented as a set of Python modules and contain over 1,000 classes.

The Qt Company have announced that support for Qt v4 will cease at the end of 2015. PyQt5 and Qt v5 are strongly recommended for all new development. ... <

Exuses if I'm wrong with my guess in comment #6 here, but I see some similarity as with the shift from Phython2/Phython3.

Mélodie (meets) wrote :

Hi,
I don't have logs to show you but here is a picture: http://pix.toile-libre.org/?img=1454975938.png

hesediel84 (hesediel84) wrote :

i got this message, with some different lines from original post

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/kde_ui.py", line 502, in <lambda>
    0, lambda: self.dbfilter.start(auto_process=True))
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 103, in start
    prep = self.prepare()
  File "/usr/lib/ubiquity/plugins/ubi-prepare.py", line 336, in prepare
    self.ui.set_using_secureboot(True)
AttributeError: 'PageKde' object has no attribute 'set_using_secureboot'

it is the same bug?

Bernhard (baumber) wrote :

I have the same problem with the current daily-builds for Kubuntu .

http://cdimage.ubuntu.com/kubuntu/daily-live/current/

Is there a solution in progress?

Nikola Snele (n-schnelle) wrote :

Hmm for me daily build(s) work fine now.

On Mon, Apr 11, 2016 at 11:23 PM, Bernhard <email address hidden>
wrote:

> I have the same problem with the current daily-builds for Kubuntu .
>
> http://cdimage.ubuntu.com/kubuntu/daily-live/current/
>
> Is there a solution in progress?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1532139).
> https://bugs.launchpad.net/bugs/1529450
>
> Title:
> [master] AttributeError: 'PageKde' object has no attribute
> 'get_secureboot_key'
>
> Status in One Hundred Papercuts:
> Triaged
> Status in ubiquity package in Ubuntu:
> Triaged
>
> Bug description:
> Description: Ubuntu Xenial Xerus (development branch)
> Release: 16.04
> Daily Build from tonight
>
> affected binary: ubiquity-frontend-kde
>
> This is a hard failure encountered several times.
>
> Message output from Crash
>
> Traceback (most recent call last):
> File "/usr/lib/ubiquity/ubiquity/frontend/kde_ui.py", line 1068, in
> on_next_clicked
> self.dbfilter.ok_handler()
> File "/usr/lib/ubiquity/plugins/ubi-prepare.py", line 344, in
> ok_handler
> secureboot_key = self.ui.get_secureboot_key()
> AttributeError: 'PageKde' object has no attribute 'get_secureboot_key'
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: ubiquity 2.21.40
> ProcVersionSignature: Ubuntu 4.3.0-2.11-generic 4.3.0
> Uname: Linux 4.3.0-2-generic x86_64
> ApportVersion: 2.19.3-0ubuntu2
> Architecture: amd64
> CasperVersion: 1.366
> CurrentDesktop: KDE
> Date: Sun Dec 27 08:17:18 2015
> InstallCmdLine: file=/cdrom/preseed/kubuntu.seed boot=casper
> maybe-ubiquity initrd=/casper/initrd.lz quiet splash --- maybe-ubiquity
> LiveMediaBuild: Kubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20151227)
> SourcePackage: ubiquity
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> Current workaround:
> ===================
> Install latest Kubuntu 15.10 – Then do a release-upgrade to
> 16.04 (Development) – https://help.ubuntu.com/community/Kubuntu/
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hundredpapercuts/+bug/1529450/+subscriptions
>

Ilya Smirnov (smirnovist) wrote :

It works correct on Kubuntu daily build from 2016-04-11.

Johann Rohwer (j-m-rohwer) wrote :

The bug is still present for me on Kubuntu daily build from 2016-04-12. Note that it only occurs when secure boot is enabled on the system. If I install to a system (even via UEFI) with secure boot disabled, the bug does not occur.

Johann Rohwer (j-m-rohwer) wrote :

The traceback I'm getting is slightly different from that described in the OP:

Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/frontend/kde_ui.py", line 502, in <lambda>
    0, lambda: self.dbfilter.start(auto_process=True))
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 103, in start
    prep = self.prepare()
  File "/usr/lib/ubiquity/plugins/ubi-prepare.py", line 336, in prepare
    self.ui.set_using_secureboot(True)
AttributeError: 'PageKde' object has no attribute 'set_using_secureboot'

The missing attribute is now 'set_using_secureboot' while it was 'get_secureboot_key' in the original bug report. Don't know whether this is actually the same bug, but it all seems to be related to trying to install on a system with secure boot enabled.

Bernhard (baumber) wrote :

As user Johann Rohwer (j-m-rohwer) mentioned, with secure boot enabled, I get the same error message at the installer, tested with Kubuntu daily build from 2016-04-13.

How can I use secure boot, or is this not supported with Kubuntu?

Tianyue Huang (th174) wrote :

I have the same issue, even after I turned off secure boot.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.21.60

---------------
ubiquity (2.21.60) xenial; urgency=medium

  * Automatic update of included source packages: user-setup
    1.63ubuntu3.
  * Don't crash in the Kubuntu prepare page if we're booting in EFI. Try to
    do the right thing in showing password boxes and all the trimmings for
    setting a Mok password, using the already-translated strings we have.
    (LP: #1529450)

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 19 Apr 2016 13:11:19 -0400

Changed in ubiquity (Ubuntu):
status: Triaged → Fix Released
Changed in hundredpapercuts:
status: Triaged → Fix Released
To post a comment you must log in.